Skip to main content
POST
/
virtual-accounts
/
temporary
cURL
curl --request POST \
  --url https://api.spotflow.co/api/v1/virtual-accounts/temporary \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "NGN",
  "accountName": "Quantum Technologies",
  "amount": 123,
  "expiresIn": 123
}
'
{
  "id": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
  "accountNumber": "7706438396",
  "accountName": "Quantum Technologies",
  "bankName": "Testbank MFB",
  "mode": "live",
  "lifeCycle": "temporary"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt

Use this file to discover all available pages before exploring further.

Adding Test Funds

On test mode with your test keys, you can easily add fake funds to the jollof bank account number created for you using our Funds Simulator App. Note that this is for NGN and GHS only.See the full guide on Adding Fake Funds For Testing.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
currency
string

According, to our currently supported currencies, this is in NGN and GHS.

Example:

"NGN"

accountName
string

Your desired naming for your account.

Example:

"Quantum Technologies"

amount
number<int32>

Amount should be in the subunit of our supported currency i.e NGN and GHS for now.

expiresIn
number<int32>

This is optional to add. By default, the time it takes for a virtual account to expire is 30 mins. However, you can customize the time to lesser as you desire.

Response

A JSON array of dynamic account objects.

id
string<uuid>
Example:

"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"

accountNumber
string
Example:

"7706438396"

accountName
string
Example:

"Quantum Technologies"

bankName
string
Example:

"Testbank MFB"

mode
enum<string>
Available options:
live,
test
Example:

"live"

lifeCycle
string
Example:

"temporary"